<template>
  <Modal
    v-if="dropFlag && !isDrop"
    @keyup.esc="dragLeave"
    @keyup.enter="dragLeave"
    @close="dragLeave"
    @drop.prevent="drop"
    no-border
  >
    <template #body>
      <div class="p-12" style="border: 3px dashed darkgrey">
        <p class="text-2xl mb-4">Прикрепить файлы</p>
        <p class="mb-2">Отпустите кнопку мыши чтобы прикрепить файлы</p>
        <p>Нажмите кнопку <q-badge label="ecs"/> чтобы отменить</p>
      </div>
    </template>
  </Modal>
  <label v-else for="file">
    <q-item clickable>
      <q-item-section>Файл</q-item-section>
    </q-item>
    <input @change="drop" hidden type="file" id="file">
  </label>
</template>

<script>
import { ref } from 'vue'
import Modal from "./Modal.vue";

export default {
  name: "DragFile",
  components: {Modal},
  props: {
    dropFlag: {type: Boolean, required: true, default: false},
    isDrop: {type: Boolean, default: false},
    // dropFiles: {type: Array, required: true, default: []}
  },
   setup (props, {emit}) {
     function drop(event) {
       let files
       if (event.target.files) files = event.target.files
       else files = event.dataTransfer.files
       emit('onDrop', files)
       dragLeave();
     }
     function dragLeave () {
       emit('propDragLeave')
     }
    return {
      drop,
      dragLeave,
    }
   }
}
</script>

<style scoped>

</style>
